.nice-select, .nice-select .list {
  background-color: #fff;
  box-sizing: border-box;
}

.nice-select .list, .nice-select:after {
  pointer-events: none;
  position: absolute;
}

.nice-select, .nice-select .option {
  cursor: pointer;
  font-weight: 400;
  outline: 0;
}

.nice-select, .no-csspointerevents .nice-select.open .list {
  display: block;
}

.nice-select {
  -webkit-tap-highlight-color: transparent;
  border-radius: 5px;
  border: 1px solid #e8e8e8;
  clear: both;
  float: left;
  font-family: inherit;
  font-size: 14px;
  height: 42px;
  line-height: 40px;
  padding-left: 18px;
  padding-right: 30px;
  position: relative;
  text-align: left !important;
  -webkit-transition: .2s ease-in-out;
  transition: .2s ease-in-out;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  white-space: nowrap;
  width: auto;
}

.nice-select:hover {
  border-color: #dbdbdb;
}

.nice-select.open, .nice-select:active, .nice-select:focus {
  border-color: #999;
}

.nice-select:after {
  border-bottom: 2px solid #999;
  border-right: 2px solid #999;
  content: '';
  display: block;
  height: 5px;
  margin-top: -4px;
  right: 12px;
  top: 50%;
  -webkit-transform-origin: 66% 66%;
  -ms-transform-origin: 66% 66%;
  transform-origin: 66% 66%;
  -webkit-transform: rotate(45deg);
  -ms-transform: rotate(45deg);
  transform: rotate(45deg);
  -webkit-transition: .15s ease-in-out;
  transition: .15s ease-in-out;
  width: 5px;
}

.nice-select.open:after {
  -webkit-transform: rotate(-135deg);
  -ms-transform: rotate(-135deg);
  transform: rotate(-135deg);
}

.nice-select.open .list {
  opacity: 1;
  pointer-events: auto;
  -webkit-transform: scale(1) translateY(0);
  -ms-transform: scale(1) translateY(0);
  transform: scale(1) translateY(0);
}

.nice-select.disabled {
  border-color: #ededed;
  color: #999;
  pointer-events: none;
}

.nice-select.disabled:after {
  border-color: #ccc;
}

.nice-select.wide {
  width: 100%;
}

.nice-select.wide .list {
  left: 0 !important;
  right: 0 !important;
}

.nice-select.right {
  float: right;
}

.nice-select.right .list {
  left: auto;
  right: 0;
}

.nice-select.small {
  font-size: 12px;
  height: 36px;
  line-height: 34px;
}

.nice-select.small:after {
  height: 4px;
  width: 4px;
}

.nice-select.small .option {
  line-height: 34px;
  min-height: 34px;
}

.nice-select .list {
  border-radius: 5px;
  box-shadow: 0 0 0 1px rgba(68, 68, 68, 0.11);
  margin-top: 4px;
  opacity: 0;
  overflow: hidden;
  padding: 0;
  top: 100%;
  left: 0;
  -webkit-transform-origin: 50% 0;
  -ms-transform-origin: 50% 0;
  transform-origin: 50% 0;
  -webkit-transform: scale(0.75) translateY(-21px);
  -ms-transform: scale(0.75) translateY(-21px);
  transform: scale(0.75) translateY(-21px);
  -webkit-transition: 0.2s cubic-bezier(0.5, 0, 0, 1.25), opacity 0.15s ease-out;
  transition: 0.2s cubic-bezier(0.5, 0, 0, 1.25), opacity 0.15s ease-out;
  z-index: 9;
}

.nice-select .option {
  line-height: 40px;
  list-style: none;
  min-height: 40px;
  padding-left: 18px;
  padding-right: 29px;
  text-align: left;
  -webkit-transition: .2s;
  transition: .2s;
}

.nice-select .option.focus, .nice-select .option.selected.focus, .nice-select .option:hover {
  background-color: #f6f6f6;
}

.nice-select .option.selected {
  font-weight: 700;
}

.nice-select .option.disabled {
  background-color: transparent;
  color: #999;
  cursor: default;
}

.no-csspointerevents .nice-select .list {
  display: none;
}

.fadeInDown {
  animation-name: fadeInDownV2;
}

@keyframes fadeInDownV2 {
  from {
    opacity: 0;
    transform: translate3d(0, -30%, 0);
  }
  to {
    opacity: 1;
    transform: none;
  }
}

.fadeInLeft {
  animation-name: fadeInLeftV2;
}

@keyframes fadeInLeftV2 {
  from {
    opacity: 0;
    transform: translate3d(-30%, 0, 0);
  }
  to {
    opacity: 1;
    transform: none;
  }
}

.fadeInRight {
  animation-name: fadeInRightV2 !important;
}

@keyframes fadeInRightV2 {
  from {
    opacity: 0;
    transform: translate3d(20%, 0, 0);
  }
  to {
    opacity: 1;
    transform: none;
  }
}

.fadeInUp {
  animation-name: fadeInUpV2 !important;
}

@keyframes fadeInUpV2 {
  from {
    opacity: 0;
    transform: translate3d(0, 15%, 0);
  }
  to {
    opacity: 1;
    transform: none;
  }
}

/*------------------------------STARTS HERE--------------------------------*/
.scroll #header {
  top: 0;
  width: 100%;
  position: fixed;
}

.scroll.admin-bar #header {
  top: 32px;
}

#header {
  transition: all .3s;
}

body strong, body b {
  font-weight: 600;
}

.no-mouse-event {
  pointer-events: none;
}

.o-hidden {
  overflow: hidden;
}

.no-mouse {
  pointer-events: none !important;
}

.mix-blend {
  mix-blend-mode: multiply;
}

.background-blend-mode {
  background-blend-mode: multiply;
}

.grecaptcha-badge {
  visibility: hidden;
}

.bg-blur {
  -webkit-backdrop-filter: blur(25px) !important;
  backdrop-filter: blur(25px) !important;
}

@media (max-width: 767px) {
  .hidden-xs {
    display: none;
  }
}

.sr-only {
  position: absolute;
  width: 1px;
  height: 1px;
  padding: 0;
  margin: -1px;
  overflow: hidden;
  clip: rect(0, 0, 0, 0);
  white-space: nowrap;
  border: 0;
}

.space {
  display: block;
  height: 10px;
}

.elementor-heading-title span {
  color: #5dab02;
}

.ue-remote-link {
  display: inline-block;
}

.ue-remote-link::after {
  margin-top: -4px !important;
}

.js-product-btn-group > div {
  width: auto;
}

@media (min-width: 1200px) {
  .js-product-btn-group > div {
    width: 100%;
  }
}

@media (min-width: 1200px) {
  .js-product-btn-group > div a {
    width: 100%;
  }
}

.elementor-button.js-btn {
  border: 1px solid #3F53A4;
  border-radius: 4px;
  font-weight: 500;
  font-size: 14px;
  padding: 12px 12px 12px 12px;
}

.elementor-button.js-btn span {
  font-size: 14px;
}

@media (min-width: 992px) {
  .elementor-button.js-btn span {
    font-size: 16px;
  }
}

.x-wrapper {
  padding-top: 20px;
  padding-bottom: 20px;
  padding-left: 10px;
  padding-right: 10px;
}

@media (min-width: 768px) {
  .x-wrapper {
    padding-top: 40px;
    padding-bottom: 40px;
    padding-left: 30px;
    padding-right: 30px;
  }
}

@media (min-width: 992px) {
  .x-wrapper.article-block {
    padding-bottom: 120px;
  }
}

.x-wrapper.bar {
  padding-top: 10px;
  padding-bottom: 10px;
}

.js-hover .js-img-holder {
  overflow: hidden;
}

.js-hover .js-img-holder .js-img img {
  transition: all .5s;
}

.js-hover .js-overlay::before {
  background: #252b34;
  opacity: 0;
  content: "";
  height: 100%;
  display: block;
}

.js-hover .js-overlay .elementor-widget-text-editor h3 {
  margin-bottom: 10px;
}

.js-hover .js-overlay .elementor-widget-text-editor h3, .js-hover .js-overlay .elementor-widget-text-editor p {
  opacity: 0;
  visibility: hidden;
  transform: translateY(20px);
  transition: all .3s;
}

.js-hover .js-overlay .elementor-widget-text-editor h3 {
  font-size: 16px;
}

@media (min-width: 768px) {
  .js-hover .js-overlay .elementor-widget-text-editor h3 {
    font-size: 18px;
  }
}

@media (min-width: 992px) {
  .js-hover .js-overlay .elementor-widget-text-editor h3 {
    font-size: 20px;
  }
}

.js-hover .js-overlay .elementor-widget-text-editor p {
  transition-delay: 0.2s;
  font-size: 12px;
}

@media (min-width: 768px) {
  .js-hover .js-overlay .elementor-widget-text-editor p {
    font-size: 16px;
  }
}

.js-hover:hover .js-overlay::before {
  opacity: .7;
}

.js-hover:hover .js-overlay .elementor-widget-text-editor h3, .js-hover:hover .js-overlay .elementor-widget-text-editor p {
  opacity: 1;
  visibility: visible;
  transform: translateY(0);
}

.js-hover:hover .js-img-holder .js-img img {
  -webkit-filter: blur(5px);
  filter: blur(5px);
  -webkit-transform: scale(1.1);
  transform: scale(1.1);
}

.js-clamp {
  display: -webkit-box;
  -webkit-box-orient: vertical;
  overflow: hidden;
  line-height: 1.5;
}

.js-clamp.js-clamp-3 {
  -webkit-line-clamp: 3;
  /* Limit to 3 lines */
}

.js-clamp.js-clamp-4 {
  -webkit-line-clamp: 4;
  /* Limit to 3 lines */
}

.no-side-menu-button .side-menu-buttons {
  display: none !important;
}

.elementor-swiper .swiper-button-prev,
.elementor-swiper .swiper-button-next {
  background-color: var(--e-global-color-accent);
  width: 40px;
}

.elementor-swiper .swiper-button-prev::after,
.elementor-swiper .swiper-button-next::after {
  font-size: 22px;
  color: #fff;
}

.elementor-swiper .swiper-button-prev:hover,
.elementor-swiper .swiper-button-next:hover {
  background-color: var(--e-global-color-a921ae6);
}

.elementor-swiper .swiper-button-prev {
  left: 0;
}

.elementor-swiper .swiper-button-next {
  right: 0;
}

/*improve mobile side menu*/
.uc-menu-button-wrapper .open_side_menu .open_side_menu_toggle::before {
  top: -7px !important;
}

.uc-menu-button-wrapper .open_side_menu .open_side_menu_toggle::after {
  top: 7px !important;
}

.uc-menu-button-wrapper .open_side_menu.uc-close-action .open_side_menu_toggle::before {
  top: 0 !important;
}

.btn-group-full > .elementor-element {
  width: 100%;
}

.btn-group-full .elementor-button {
  width: 90%;
}

@media (min-width: 992px) {
  .btn-group-full .elementor-button {
    width: 70%;
  }
}

.js-icon-list .elementor-icon-box-title {
  margin-top: 0;
}

.js-icon-list .elementor-icon-box-icon {
  margin-top: 4px;
}

.js-icon-list .elementor-icon-box-description span a {
  font-weight: 300;
}

h2.sr-title {
  font-size: 22px;
  font-family: "Henry Sans", Sans-serif;
  font-weight: 400;
}

@media (min-width: 992px) {
  h2.sr-title {
    font-size: 40px;
  }
}

#progress-bar {
  position: fixed;
  top: 0;
  left: 0;
  width: 0;
  height: 4px;
  background-color: var(--e-global-color-a921ae6);
  z-index: 9999999;
  transition: width 0.1s ease;
}

.js-form form.elementor-form .elementor-field:focus {
  box-shadow: 0px .5px 0px 0px #5eab00;
}

.js-form form.elementor-form .elementor-field-type-submit.elementor-col-100 {
  padding-left: 20px;
  padding-top: 20px;
}

#main-body .elementor-widget-container .wp-block-list {
  margin-bottom: 20px;
  list-style: none;
  padding-left: 0;
  margin-left: 20px;
}

#main-body .elementor-widget-container .wp-block-list li {
  position: relative;
  padding-left: 25px;
}

#main-body .elementor-widget-container .wp-block-list li::before {
  content: "";
  width: 10px;
  height: 10px;
  position: absolute;
  left: 0;
  top: 10px;
  border-radius: 2px;
  background: #5DAB00;
}

#main-body .wp-block-uagb-info-box .uagb-ifb-image-content img {
  max-width: 50px;
}

#main-body .wp-block-uagb-info-box .uagb-ifb-icon-wrap img {
  max-width: 100px;
}

#main-body .wp-block-uagb-info-box .uagb-ifb-icon-wrap svg {
  transform: scale(1.2);
}

#main-body .wp-block-uagb-info-box .uagb-ifb-content .uagb-ifb-title {
  font-size: 18px;
}

#main-body .wp-block-uagb-info-box .uagb-ifb-content .uagb-ifb-desc {
  font-size: 16px;
}

.e-box .elementor-image-box-img img {
  width: 100px;
}

/*# sourceMappingURL=data:application/json;charset=utf8;base64,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 */
